# Generated by Django 3.0.3 on 2020-05-06 00:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0011_auto_20200427_1626'),
    ]

    operations = [
        migrations.CreateModel(
            name='TerritorioStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(blank=True, editable=False, null=True)),
                ('nome', models.CharField(blank=True, max_length=255, null=True)),
                ('mensagem', models.TextField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='territorio',
            name='modo_de_vida',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='main.ModoDeVida'),
        ),
        migrations.AlterField(
            model_name='territorio',
            name='tipo_comunidade',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='main.TipoComunidade'),
        ),
        migrations.AlterField(
            model_name='territorio',
            name='tipo_producao',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='main.TipoProducao'),
        ),
    ]
